View Issue Details

IDProjectCategoryView StatusLast Update
0031120Open CASCADEOCCT:Modeling Algorithmspublic2020-12-02 17:12
Reportermsv Assigned Tojgv  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.4.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031120: Memory leak in BRepOffsetAPI_MakeOffset
DescriptionThere is memory leak when offsetting a wire using BRepOffsetAPI_MakeOffset.
Steps To Reproducerestore wire.brep w

for {set i 0} {$i < 1000} {incr i} {
  mkoffset r w 1 0.5
  if ![expr $i%100] {
    puts "i = $i, mem = [lindex [meminfo h] 0]"
  }
}

Output:
i = 0, mem = 8723622
i = 100, mem = 9464422
i = 200, mem = 10205222
i = 300, mem = 10946022
i = 400, mem = 11686822
i = 500, mem = 12427622
i = 600, mem = 13168422
i = 700, mem = 13909222
i = 800, mem = 14650022
i = 900, mem = 15390822
TagsNo tags attached.
Test case numberbugs/modalg_7/bug31120

Attached Files

  • bug31120_wire.brep (1,056 bytes)

Activities

git

2019-11-01 15:30

administrator   ~0088703

Branch CR31120 has been created by msv.

SHA-1: b56c43fb52cae3c2f2fcd788e0bf8948cac670bf


Detailed log of new commits:

Author: msv
Date: Fri Nov 1 15:05:43 2019 +0300

    0031120: Memory leak in BRepOffsetAPI_MakeOffset

msv

2019-11-01 15:31

developer   ~0088704

This is a beginning patch.

git

2019-11-15 14:16

administrator   ~0088995

Branch CR31120 has been updated forcibly by jgv.

SHA-1: 918fa41fd70e2e2933d7b0ed8c38f1e6d9b487d6

jgv

2019-11-15 14:18

developer  

bug31120_wire.brep (1,056 bytes)

jgv

2019-11-15 14:19

developer   ~0088996

Please add the attached shape to database.

msv

2019-11-18 09:56

developer   ~0089038

Done.

git

2019-11-19 18:17

administrator   ~0089084

Branch CR31120 has been updated forcibly by jgv.

SHA-1: b49675eab88da80929318d88ea7bbca798c47099

git

2019-11-20 17:12

administrator   ~0089108

Branch CR31120 has been updated by jgv.

SHA-1: da017d208f4e2374156d4655a561afd922209cf2


Detailed log of new commits:

Author: jgv
Date: Wed Nov 20 17:10:32 2019 +0300

    Fix of regression

jgv

2019-11-20 17:47

developer   ~0089109

Please review the branch CR31120.

msv

2019-11-20 18:09

developer   ~0089110

The following changes are useless:
src/MAT/MAT_Bisector.cxx
src/MAT/MAT_Bisector.hxx
src/MAT/MAT_Edge.cxx
src/MAT/MAT_Edge.hxx

The test case needs to be changed so as to generate error in case of memory leak.

git

2019-12-16 20:30

administrator   ~0089589

Branch CR31120 has been updated forcibly by jgv.

SHA-1: 9a2dfa5a8fefad1c0f74104a23adb27f204da1ea

git

2019-12-17 15:02

administrator   ~0089604

Branch CR31120 has been updated forcibly by jgv.

SHA-1: db1c4276626f0f5526b1571e4dddd66747387f75

git

2019-12-17 15:54

administrator   ~0089606

Branch CR31120 has been updated forcibly by jgv.

SHA-1: 23c2ae55c797db7258027b6df30b3af36fb3d954

jgv

2019-12-18 13:56

developer   ~0089620

Please review the branch CR31120.

msv

2019-12-18 14:35

developer   ~0089622

Reviewed.

bugmaster

2019-12-19 16:35

administrator   ~0089659

Combination -
OCCT branch : WEEK-51
master SHA - 3b103d2a9722e0036cdc49f20f731206a3759661
48c80365a5ee43eb35cde01737ce3b9b92fa554e
Products branch : WEEK-51 SHA - ab8f6b8a8b181749f2425bef9184270f8ff61aa2
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16963.310000000132 / 16976.290000000114 [-0.08%]
Products
Total CPU difference: 10729.300000000072 / 10746.800000000061 [-0.16%]
Windows-64-VC14:
OCCT
Total CPU difference: 18395.1875 / 18406.625 [-0.06%]
Products
Total CPU difference: 12706.875 / 12757.328125 [-0.40%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-12-22 11:10

administrator   ~0089694

Branch CR31120 has been deleted by inv.

SHA-1: 23c2ae55c797db7258027b6df30b3af36fb3d954

Related Changesets

occt: master 23c2ae55

2019-11-01 12:05:43

msv


Committer: jgv Details Diff
0031120: Memory leak in BRepOffsetAPI_MakeOffset

Add destructor of MAT2d_Mat2d - full removal of edges and bisectors.
Affected Issues
0031120
mod - src/MAT/MAT_ListOfBisector.hxx Diff File
mod - src/MAT/MAT_ListOfEdge.hxx Diff File
mod - src/MAT/MAT_TList.gxx Diff File
mod - src/MAT2d/MAT2d_Mat2d.cxx Diff File
mod - src/MAT2d/MAT2d_Mat2d.hxx Diff File
add - tests/bugs/modalg_7/bug31120 Diff File

Issue History

Date Modified Username Field Change
2019-11-01 12:28 msv New Issue
2019-11-01 12:28 msv Assigned To => msv
2019-11-01 12:28 msv File Added: wire.brep
2019-11-01 15:30 git Note Added: 0088703
2019-11-01 15:31 msv Note Added: 0088704
2019-11-15 14:16 git Note Added: 0088995
2019-11-15 14:18 jgv File Deleted: wire.brep
2019-11-15 14:18 jgv File Added: bug31120_wire.brep
2019-11-15 14:19 jgv Note Added: 0088996
2019-11-15 14:19 jgv Status new => feedback
2019-11-18 09:56 msv Note Added: 0089038
2019-11-18 09:56 msv Assigned To msv => jgv
2019-11-18 09:56 msv Status feedback => assigned
2019-11-19 18:17 git Note Added: 0089084
2019-11-20 17:12 git Note Added: 0089108
2019-11-20 17:47 jgv Note Added: 0089109
2019-11-20 17:47 jgv Assigned To jgv => msv
2019-11-20 17:47 jgv Status assigned => resolved
2019-11-20 18:09 msv Note Added: 0089110
2019-11-20 18:09 msv Assigned To msv => jgv
2019-11-20 18:09 msv Status resolved => assigned
2019-12-16 20:30 git Note Added: 0089589
2019-12-17 15:02 git Note Added: 0089604
2019-12-17 15:54 git Note Added: 0089606
2019-12-18 13:56 jgv Note Added: 0089620
2019-12-18 13:56 jgv Assigned To jgv => msv
2019-12-18 13:56 jgv Status assigned => resolved
2019-12-18 14:35 msv Note Added: 0089622
2019-12-18 14:35 msv Assigned To msv => bugmaster
2019-12-18 14:35 msv Status resolved => reviewed
2019-12-18 19:47 bugmaster Test case number => bugs/modalg_7/bug31120
2019-12-19 16:35 bugmaster Note Added: 0089659
2019-12-19 16:35 bugmaster Status reviewed => tested
2019-12-22 11:04 jgv Changeset attached => occt master 23c2ae55
2019-12-22 11:04 jgv Assigned To bugmaster => jgv
2019-12-22 11:04 jgv Status tested => verified
2019-12-22 11:04 jgv Resolution open => fixed
2019-12-22 11:10 git Note Added: 0089694
2020-12-02 16:40 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed